Skip to main content
GET
/
v2
/
analytics
/
cash-app
/
automation
Get cash app automation metrics for payment allocations
curl --request GET \
  --url https://api.example.com/v2/analytics/cash-app/automation \
  --header 'Authorization: Bearer <token>'
{
  "period_start": "2023-12-25",
  "period_end": "2023-12-25",
  "automatic_count": 1,
  "suggested_count": 1,
  "remote_count": 1,
  "manual_count": 1,
  "total_automatic": 1,
  "total_manual": 1,
  "total_count": 1,
  "automation_rate": 0.5
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

bank_account_id
string | null

Bank account ID to filter by

start_date
string<date> | null

Start date (YYYY-MM-DD). Defaults to 7 days ago.

end_date
string<date> | null

End date (YYYY-MM-DD). Defaults to today.

Response

Successful Response

period_start
string<date>
required
period_end
string<date>
required
automatic_count
integer
required
Required range: x >= 0
suggested_count
integer
required
Required range: x >= 0
remote_count
integer
required
Required range: x >= 0
manual_count
integer
required
Required range: x >= 0
total_automatic
integer
required
Required range: x >= 0
total_manual
integer
required
Required range: x >= 0
total_count
integer
required
Required range: x >= 0
automation_rate
number
required
Required range: 0 <= x <= 1